https://azure.com/pools/{poolId}/nodes/{nodeId}/files/{filePath}Returns the content of the specified Compute Node file.
The ID of the Pool that contains the Compute Node.
The ID of the Compute Node that contains the file.
The path to the Compute Node file that you want to get the content of.
The maximum time that the server can spend processing the request, in seconds. The default is 30 seconds.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://azure.com/pools/{poolId}/nodes/{nodeId}/files/{filePath}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://azure.com/pools/{poolId}/nodes/{nodeId}/files/{filePath}Returns the content of the specified Compute Node file.
The ID of the Pool that contains the Compute Node.
The ID of the Compute Node that contains the file.
The path to the Compute Node file that you want to get the content of.
The maximum time that the server can spend processing the request, in seconds. The default is 30 seconds.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://azure.com/pools/{poolId}/nodes/{nodeId}/files/{filePath}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}